Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000787Core InformModel worldpublic2011-10-31 10:442014-05-07 07:33
Reportergnomon 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000787: The carrying capacity of a person is ignored when taking off.
DescriptionThe standard rules don't check carrying capacity before removing a piece of clothing, which means you can get around the limit by wearing things first.
Minimal Source Text To Reproduce
The Place is a room. A hat is here. The hat is wearable.
The carrying capacity of the player is 1. 
The player is carrying a watch. 

Test me with "get hat / drop watch / wear hat / get watch / take off hat / i".
Additional InformationPlace
You can see a hat here.

>get hat
You're carrying too many things already.

>drop watch
Dropped.

>wear hat
(first taking the hat)
You put on the hat.

>get watch
Taken.

>take off hat
You take off the hat.

>i
You are carrying:
  a watch
  a hat

>
TagsNo tags attached.
Effect(serious/mild) Game compiles but misbehaves
Attached Files

- Relationships
has duplicate 0000804closed player can exceed carrying capacity by removing a worn item 

-  Notes
(0001430)
gnomon (reporter)
2011-10-31 10:47

Perhaps there should be a rule like this:

Check an actor taking off (this is the can't exceed carrying capacity when taking off rule):
  if the number of things carried by the actor is at least the carrying capacity of the actor:
    if the actor is the player, say "You're carrying too many things already.";
    stop the action.
(0002498)
graham (administrator)
2014-02-15 02:46

I concur, and have added the "can't exceed carrying capacity when taking off rule".

- Issue History
Date Modified Username Field Change
2011-10-31 10:44 gnomon New Issue
2011-10-31 10:47 gnomon Note Added: 0001430
2011-11-02 13:14 EmacsUser Status new => confirmed
2011-11-02 13:14 EmacsUser Category Actions => Model world
2011-11-16 08:35 EmacsUser Relationship added has duplicate 0000804
2014-02-15 02:46 graham Note Added: 0002498
2014-02-15 02:46 graham Status confirmed => resolved
2014-02-15 02:46 graham Resolution open => fixed
2014-02-15 02:46 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker